Subject: [RFC PATCH 3/3] Makefile: avoid deprecation warnings on OS X 10.8

From: David Aguilar <[email-masked]>
Date: Thu, 9 May 2013 02:13:30 -0700

Mac OS X Mountain Lion prints warnings when building git:

	warning: 'SHA1_Init' is deprecated
	(declared at /usr/include/openssl/sha.h:121)

Silence the warnings by disabling OpenSSH in favor of BLK_SHA1.

Signed-off-by: David Aguilar <[email-masked]>
---
I know I can create config.mak, but do we prefer to have the default
settings be warning-free?  I do not see any other platforms that tweak
NO_OPENSSL themselves, hence "RFC".  Is there a better way to do this?
Are there any Darwin/PPC users that would be harmed by this patch?

 Makefile | 1 +
 1 file changed, 1 insertion(+)

diff --git a/Makefile b/Makefile
index 0f931a2..3bb9ac2 100644
--- a/Makefile
+++ b/Makefile
@@ -1055,6 +1055,7 @@ ifeq ($(uname_S),Darwin)
 		endif
 	endif
 	PTHREAD_LIBS =
+	NO_OPENSSL = YesPlease
 endif
 
 ifndef CC_LD_DYNPATH
-- 
1.8.3.rc1.38.g0f1704c